import '@moonbeam-network/api-augment';
import { BalanceFunction, BalancePallet } from './balance.constants';
/* eslint-disable @typescript-eslint/no-use-before-define */
export function createBalanceBuilder() {
    return {
        assets,
        min,
        system,
        tokens: (asset) => tokens(asset),
    };
}
function assets(asset) {
    return {
        pallet: BalancePallet.Assets,
        function: BalanceFunction.Account,
        path: ['balance'],
        getParams: (account) => [asset, account],
        calc: (balance) => balance.toBigInt(),
    };
}
function min(asset) {
    return {
        pallet: BalancePallet.Assets,
        function: BalanceFunction.Asset,
        path: ['minBalance'],
        params: [asset],
    };
}
function system() {
    return {
        pallet: BalancePallet.System,
        function: BalanceFunction.Account,
        path: ['data'],
        getParams: (account) => [account],
        calc: ({ free, miscFrozen }) => BigInt(free.sub(miscFrozen).toString()),
    };
}
function tokens(asset) {
    return {
        pallet: BalancePallet.Tokens,
        function: BalanceFunction.Accounts,
        path: [],
        getParams: (account) => [
            account,
            Number.isInteger(asset)
                ? { ForeignAsset: asset }
                : { Token: asset },
        ],
        calc: ({ free, frozen }) => BigInt(free.sub(frozen).toString()),
    };
}
//# sourceMappingURL=balance.js.map