import { isUndefined } from '@polkadot/util';
import { ExtrinsicPallet, XTokensExtrinsic, } from '../extrinsic';
export function getOriginAssetId(asset) {
    if (isUndefined(asset.originAssetId)) {
        throw new Error(`No originAssetId defined for asset ${asset.originSymbol}`);
    }
    return asset.originAssetId;
}
export function getMoonAssetId(chain) {
    if (isUndefined(chain.moonAssetId)) {
        throw new Error(`No moonAssetId defined for chain ${chain.chain}`);
    }
    return chain.moonAssetId;
}
export function getPalletInstance(chain) {
    if (isUndefined(chain.palletInstance)) {
        throw new Error(`No palletInstance defined for chain ${chain.chain}`);
    }
    return chain.palletInstance;
}
export function isMultiCurrency(extrinsic) {
    return (extrinsic.pallet === ExtrinsicPallet.XTokens &&
        extrinsic.extrinsic === XTokensExtrinsic.TransferMultiCurrencies);
}
//# sourceMappingURL=config.utils.js.map