import { Asset, Chain } from '../../../constants';
import { XTokensExtrinsicSuccessEvent } from '../../../extrinsic';
import { assets, balance, chains, extrinsic, withdraw, } from '../moonbeam.common';
const asset = assets[Asset.INTR];
const origin = chains[Chain.Interley];
export const INTR = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: balance.tokens(asset.originSymbol),
            extrinsic: extrinsic
                .xTokens()
                .transfer()
                .successEvent(XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .asset({ Token: asset.originSymbol }),
        },
    },
    withdraw: {
        [origin.chain]: withdraw.xTokens({
            balance: balance.tokens(asset.originSymbol),
            destination: origin,
            feePerWeight: 1.87,
        }),
    },
};
//# sourceMappingURL=intr.js.map