import { Asset, Chain } from '../../../constants';
import { XTokensExtrinsicSuccessEvent } from '../../../extrinsic';
import { assets, balance, chains, extrinsic, withdraw, } from '../moonbeam.common';
const asset = assets[Asset.PARA];
const origin = chains[Chain.Parallel];
export const PARA = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: balance.system(),
            extrinsic: extrinsic
                .xTokens()
                .transferMultiAsset()
                .successEvent(XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .asset(asset),
        },
    },
    withdraw: {
        [origin.chain]: withdraw.xTokens({
            balance: balance.system(),
            destination: origin,
            feePerWeight: 16,
        }),
    },
};
//# sourceMappingURL=para.js.map