import { Asset, Chain } from '../../../constants';
import { XTokensExtrinsicSuccessEvent } from '../../../extrinsic';
import { assets, balance, chains, extrinsic, withdraw, } from '../moonriver.common';
const asset = assets[Asset.AUSD];
const origin = chains[Chain.Karura];
export const AUSD = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: balance.tokens('KUSD'),
            sourceFeeBalance: balance.system(),
            extrinsic: extrinsic
                .xTokens()
                .transfer()
                .successEvent(XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .asset({
                Token: 'KUSD',
            }),
        },
    },
    withdraw: {
        [origin.chain]: withdraw.xTokens({
            balance: balance.tokens('KUSD'),
            destination: origin,
            feePerWeight: 64,
        }),
    },
};
//# sourceMappingURL=ausd.js.map