import { Asset, Chain } from '../../../constants';
import { XTokensExtrinsicSuccessEvent } from '../../../extrinsic';
import { assets, balance, chains, extrinsic, withdraw, } from '../moonriver.common';
const asset = assets[Asset.KMA];
const origin = chains[Chain.Calamari];
export const KMA = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: balance.system(),
            extrinsic: extrinsic
                .xTokens()
                .transfer()
                .successEvent(XTokensExtrinsicSuccessEvent.Transferred)
                .origin(origin)
                .asset({ MantaCurrency: 1 }),
        },
    },
    withdraw: {
        [origin.chain]: withdraw.xTokens({
            balance: balance.system(),
            destination: origin,
            feePerWeight: 0.001,
        }),
    },
};
//# sourceMappingURL=kma.js.map