import { Asset, Chain } from '../../../constants';
import { PolkadotXcmExtrinsicSuccessEvent } from '../../../extrinsic';
import { getOriginAssetId, getPalletInstance } from '../../config.utils';
import { assets, balance, chains, extrinsic } from '../moonriver.common';
const asset = assets[Asset.RMRK];
const origin = chains[Chain.Statemine];
const originAssetId = getOriginAssetId(asset);
const palletInstance = getPalletInstance(origin);
export const RMRK = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: balance.assets(originAssetId),
            sourceFeeBalance: balance.system(),
            sourceMinBalance: balance.min(originAssetId),
            extrinsic: extrinsic
                .polkadotXcm()
                .limitedReserveTransferAssets()
                .successEvent(PolkadotXcmExtrinsicSuccessEvent.Attempted)
                .origin(origin)
                .V1()
                .X2(palletInstance, originAssetId),
        },
    },
    withdraw: {},
};
//# sourceMappingURL=rmrk.js.map