import { Asset, Chain } from '../../../constants';
import { PolkadotXcmExtrinsicSuccessEvent } from '../../../extrinsic';
import { assets, balance, chains, extrinsic, withdraw, } from '../moonriver.common';
const asset = assets[Asset.SDN];
const origin = chains[Chain.Shiden];
export const SDN = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: balance.system(),
            extrinsic: extrinsic
                .polkadotXcm()
                .limitedReserveTransferAssets()
                .successEvent(PolkadotXcmExtrinsicSuccessEvent.Attempted)
                .origin(origin)
                .V1()
                .X1(),
        },
    },
    withdraw: {
        [origin.chain]: withdraw.xTokens({
            balance: balance.system(),
            destination: origin,
            feePerWeight: 8000000,
        }),
    },
};
//# sourceMappingURL=sdn.js.map