import { Asset, Chain } from '../../../constants';
import { XTokensExtrinsicSuccessEvent } from '../../../extrinsic';
import { assets, balance, chains, extrinsic, withdraw, } from '../moonriver.common';
const asset = assets[Asset.TEER];
const origin = chains[Chain.Integritee];
export const TEER = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: balance.system(),
            extrinsic: extrinsic
                .xTokens()
                .transfer()
                .successEvent(XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(origin)
                .asset(asset.originSymbol),
        },
    },
    withdraw: {
        [origin.chain]: withdraw.xTokens({
            balance: balance.system(),
            destination: origin,
            feePerWeight: 1,
        }),
    },
};
//# sourceMappingURL=teer.js.map