import { Asset, Chain } from '../../../constants';
import { PolkadotXcmExtrinsicSuccessEvent } from '../../../extrinsic';
import { getOriginAssetId } from '../../config.utils';
import { assets, balance, chains, extrinsic } from '../moonriver.common';
const asset = assets[Asset.USDT];
const origin = chains[Chain.Statemine];
const originAssetId = getOriginAssetId(asset);
export const USDT = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: balance.assets(originAssetId),
            sourceFeeBalance: balance.system(),
            sourceMinBalance: balance.min(originAssetId),
            extrinsic: extrinsic
                .polkadotXcm()
                .limitedReserveTransferAssets()
                .successEvent(PolkadotXcmExtrinsicSuccessEvent.Attempted)
                .origin(origin)
                .V1()
                .X1(),
        },
    },
    withdraw: {},
};
//# sourceMappingURL=usdt.js.map