import { ExtrinsicPallet } from '../extrinsic.constants';
import { XTransferExtrinsic, } from './xTransfer.constants';
/* eslint-disable @typescript-eslint/no-use-before-define */
export function xTransfer(chain) {
    return {
        transfer: () => transfer(chain),
    };
}
function transfer(chain) {
    return {
        successEvent: (event) => ({
            origin: (origin) => {
                const createExtrinsic = getCreateExtrinsic(XTransferExtrinsic.Transfer, event, chain, origin);
                return {
                    here: () => createExtrinsic(() => ({
                        parents: 0,
                        interior: 'Here',
                    })),
                    X2: (palletInstance) => createExtrinsic(() => ({
                        parents: 1,
                        interior: {
                            X2: [
                                {
                                    Parachain: chain.parachainId,
                                },
                                {
                                    PalletInstance: palletInstance,
                                },
                            ],
                        },
                    })),
                };
            },
        }),
    };
}
function getCreateExtrinsic(extrinsic, event, chain, origin) {
    return (getConcrete) => ({
        pallet: ExtrinsicPallet.XTransfer,
        extrinsic,
        successEvent: event,
        getParams: (account, amount) => [
            {
                id: {
                    Concrete: getConcrete(),
                },
                fun: {
                    Fungible: amount,
                },
            },
            {
                parents: 1,
                interior: {
                    X2: [
                        {
                            Parachain: chain.parachainId,
                        },
                        {
                            AccountKey20: {
                                network: 'Any',
                                key: account,
                            },
                        },
                    ],
                },
            },
            origin.weight,
        ],
    });
}
//# sourceMappingURL=xTransfer.js.map