import { ExtrinsicPallet } from '../extrinsic.constants';
import { getCreateExtrinsic, PolkadotXcmExtrinsic, } from '../polkadotXcm';
/* eslint-disable @typescript-eslint/no-use-before-define */
export function xcmPallet(chain) {
    return {
        limitedReserveTransferAssets: () => limitedReserveTransferAssets(chain),
    };
}
function limitedReserveTransferAssets(chain) {
    return {
        successEvent: (event) => ({
            origin: (origin) => {
                const createExtrinsic = getCreateExtrinsic(PolkadotXcmExtrinsic.LimitedReserveTransferAssets, event, chain, origin);
                return {
                    ...createExtrinsic((amount) => ({
                        V0: [
                            {
                                ConcreteFungible: {
                                    id: 'Null',
                                    amount,
                                },
                            },
                        ],
                    })),
                    pallet: ExtrinsicPallet.XcmPallet,
                };
            },
        }),
    };
}
//# sourceMappingURL=xcmPallet.js.map