import { u8aToHex } from '@polkadot/util';
import { decodeAddress } from '@polkadot/util-crypto';
/* eslint-disable @typescript-eslint/no-use-before-define */
export function createWithdrawBuilder() {
    return {
        xTokens: (options) => xTokens(options),
    };
}
function xTokens({ balance, destination, feePerWeight, weight = 4000000000, }) {
    return {
        balance,
        destination,
        feePerWeight,
        weight,
        getParams: (account) => {
            const { parachainId } = destination;
            const acc = `0x01${u8aToHex(decodeAddress(account), -1, false)}00`;
            return [
                1,
                parachainId ? [`0x0000000${parachainId.toString(16)}`, acc] : [acc],
            ];
        },
    };
}
//# sourceMappingURL=withdraw.js.map